repo/gentoo:master commit in: www-apps/rutorrent/
"Sam James" <[email protected]> Tue, 04 Aug 2026 00:18:05 +0000 (UTC)
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1785802587.5c2bc4ea28ee496eefdbda31ea78de06867e6afb.sam@gentoo> |
commit: 5c2bc4ea28ee496eefdbda31ea78de06867e6afb
Author: Henning Schild <henning <AT> hennsch <DOT> de>
AuthorDate: Sun Aug 2 19:36:30 2026 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Aug 4 00:16:27 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c2bc4ea
www-apps/rutorrent: add 5.3.11
Signed-off-by: Henning Schild <henning <AT> hennsch.de>
Part-of: https://codeberg.org/gentoo/gentoo/pulls/1606
Signed-off-by: Sam James <sam <AT> gentoo.org>
www-apps/rutorrent/Manifest | 1 +
www-apps/rutorrent/rutorrent-5.3.11.ebuild | 82 ++++++++++++++++++++++++++++++
2 files changed, 83 insertions(+)
diff --git a/www-apps/rutorrent/Manifest b/www-apps/rutorrent/Manifest
index 3ab0e57f260e..44b5789456e2 100644
--- a/www-apps/rutorrent/Manifest
+++ b/www-apps/rutorrent/Manifest
@@ -1,2 +1,3 @@
+DIST rutorrent-5.3.11.tar.gz 3431434 BLAKE2B 3b9b6c4741691eb851a089719e8de9961c93c2b392ea2bac06ffc3d4d2b87e9014e3a92a96ce2ebb1ac570d28dd0d87e64959f4508a5eda0e9730d8d9bec648c SHA512 dccc2b03b27a362c0a8cdcb61ee947f476d55e45ea7ba50e29ffd7c244e61ea391788753422cfdb289eff49752cde40489413fa2a2b37bae70f5a6a45f713526
DIST rutorrent-5.3.7.tar.gz 3039688 BLAKE2B be663bb343776b8f42f4f8fa6f3358b381b7894eb09d240cf183887840ccb011224f571948802183cb3943a8045ac10f1e48053c7fdcc37781162126c8f980c8 SHA512 9bf544c2102daf78c8933c009ccd770f285210b1d5c7998e6d547b2f88cf310450139b7bbd40323515c090d23d3909eec2a9d8785482a885e353c9f2fdeb19c8
DIST rutorrent-5.3.9.tar.gz 3042209 BLAKE2B 869f78e5b05a52b8864c7f50836986a8e7ddad513eecf1553d4bd8e3aee0e59e56206b62ea983b6c6b2e3aafc43b07901834ec1d5086bd657bac3e07ccfd9132 SHA512 53473d0f31eeb1a1464c2991ad56fb405c6f727865485f30c514332e954c02fc6b817ece64bca0e998c003be265bb9bf09c5beb11232657859582937b2b07f5f
diff --git a/www-apps/rutorrent/rutorrent-5.3.11.ebuild b/www-apps/rutorrent/rutorrent-5.3.11.ebuild
new file mode 100644
index 000000000000..6810ce31b6c8
--- /dev/null
+++ b/www-apps/rutorrent/rutorrent-5.3.11.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit webapp optfeature
+
+DESCRIPTION="ruTorrent is a front-end for the popular Bittorrent client rTorrent"
+HOMEPAGE="https://github.com/Novik/ruTorrent"
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_BRANCH="develop"
+ EGIT_REPO_URI="https://github.com/Novik/ruTorrent.git"
+else
+ SRC_URI="https://github.com/Novik/ruTorrent/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~ppc ~x86"
+ S="${WORKDIR}/ruTorrent-${PV}"
+fi
+
+LICENSE="GPL-2+ MIT"
+
+RDEPEND="
+ dev-lang/php[xml,gd]
+ virtual/httpd-php
+"
+
+need_httpd_cgi
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_prepare() {
+ rm -r .github || die
+ rm -r .vscode || die
+ rm -r tests || die
+ find . \( -name .gitignore -o -name .gitmodules \) -type f -delete || die
+ if [[ ${PV} == 9999 ]]; then
+ rm -r .git .gitattributes || die
+ fi
+
+ default
+}
+
+src_install() {
+ webapp_src_preinst
+
+ local docs="LICENSE.md README.md htaccess-example"
+ dodoc ${docs}
+ rm ${docs} || die
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+
+ # can not use fperms beacuse of globbing
+ chmod +x "${ED}${MY_HTDOCSDIR}"/plugins/*/*.sh \
+ "${ED}${MY_HTDOCSDIR}"/php/test.sh || die "chmod failed"
+
+ keepdir "${MY_HTDOCSDIR}"/conf/users
+ keepdir "${MY_HTDOCSDIR}"/share/settings
+ keepdir "${MY_HTDOCSDIR}"/share/torrents
+ keepdir "${MY_HTDOCSDIR}"/share/users
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/conf
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/share
+
+ webapp_configfile "${MY_HTDOCSDIR}"/conf/.htaccess
+ webapp_configfile "${MY_HTDOCSDIR}"/conf/config.php
+ webapp_configfile "${MY_HTDOCSDIR}"/conf/access.ini
+ webapp_configfile "${MY_HTDOCSDIR}"/conf/plugins.ini
+ webapp_configfile "${MY_HTDOCSDIR}"/share/.htaccess
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ webapp_pkg_postinst
+
+ optfeature "Show audio file spectogram" media-sound/sox
+ optfeature "Display media file information" media-video/mediainfo
+ optfeature "Scrape Cloudflare based sites" dev-python/cloudscraper
+}